import type { KoliBriProgressVariantType, LabelPropType, ProgressAPI, ProgressStates } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolProgress implements ProgressAPI {
    private interval?;
    render(): JSX.Element;
    _label?: LabelPropType;
    _max: number;
    _unit?: string;
    _value: number;
    _variant?: KoliBriProgressVariantType;
    state: ProgressStates;
    validateLabel(value?: LabelPropType): void;
    validateMax(value?: number): void;
    validateUnit(value?: string): void;
    validateValue(value?: number): void;
    validateVariant(value?: KoliBriProgressVariantType): void;
    componentWillLoad(): void;
    disconnectedCallback(): void;
}
